Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10774

Department: TI Affected Products: ADTF 3.12.7, ADTF Display Toolbox

3.6.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: DisplayTB::Common

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

The 2D-Display somehow destroys the layout of the AdvancedDockingSystem.

The display window has no Tab-Bar and there are drawing artefacts at the side. The display window cannot be moved.

See attached screenshot.

Using: ADTF/3.12.7, adtf_display_toolbox/3.6.0

Lösung

This is a long known issue related to 2D, 3D and Qml Filter, we facing a bug within Qt 5.12.

[ACORE-10774] - Missing content or tab title of QtQuick Filter in certain layout situations

It can only be solved by migrating to Qt 5.15.2, for which we have to change our Windows platform to VS 2019 VC142.

Both part of 2021/Q4.

History

#1 - 2021-09-27 11:07 - hidden

- Status changed from New to In Progress

#2 - 2021-09-28 09:51 - hidden

Hello Marc,

does it happen every time you open the session?

Regards

Margarete

#3 - 2021-09-28 09:51 - hidden

- Status changed from In Progress to Customer Feedback Required

#4 - 2021-09-28 11:29 - hidden

- File Snipaste_2021-09-28_13-24-53.png added

It happens everytime. And also with all the drawer examples from display-toolbox-example-project.

#6 - 2021-09-28 12:41 - hidden

Hello Marc,

we are trying to recreate the problem. What do you mean especially with Tab-Bar? Where is it missing?
Regards Margarete

#7 - 2021-09-28 12:42 - hidden

- Topic set to DisplayTB::Common

#8 - 2021-09-28 14:09 - hidden

- Project changed from 30 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10774

Hi folks,

this is a long known issue related to 2D, 3D and Qml Filter, we facing a bug within Qt 5.12.

[ACORE-10774] - Missing content or tab title of QtQuick Filter in certain layout situations

It can only be solved by migrating to Qt 5.15.2, for which we have to change our Windows platform to VS 2019 VC142.

Both part of 2021/Q4.

#9 - 2022-01-24 11:44 - hidden

- Status changed from To Be Closed to Closed

Files

2d_display_2021-09-27_10-03-09.png 38.5 KB 2021-09-27 hidden

Snipaste_2021-09-28_13-24-53.png 8.8 KB 2021-09-28 hidden
